## qt6-grpc 6.9.1

=== debian/changelog ===
qt6-grpc (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Fix FTCBFS, thx to Helmut Grohne (Closes: #1107996).
    - Depend on a native build and instruct CMake to use it.
    - Always build tools.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Aug 2025 15:06:43 +0200

qt6-grpc (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Jul 2025 22:24:37 +0200
