=== debian/changelog ===
qt6-grpc (6.9.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Tue, 28 Oct 2025 21:50:01 +0100

qt6-grpc (6.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 20:55:49 +0200

qt6-grpc (6.9.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Sep 2025 21:07:39 +0200
