=== debian/control ===
Source: qt6-grpc
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgrpc++-dev,
               libgrpc-dev,
               libprotobuf-dev,
               libprotoc-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               protobuf-compiler-grpc,
               qt6-base-dev (>= 6.9.3~),
               qt6-declarative-dev (>= 6.9.3~),
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-grpc.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-grpc
Maintainer: Neon CI <neon@kde.org>

Package: qt6-grpc
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: protobuf-compiler-grpc, ${misc:Depends}, ${shlibs:Depends}
Breaks: libqt6grpc6-plugins, libqt6grpcquick6, qml6-module-qtgrpc
Replaces: libqt6grpc6,
          libqt6grpc6-plugins,
          libqt6grpcquick6,
          libqt6protobuf6,
          libqt6protobufqtcoretypes6,
          libqt6protobufqtguitypes6,
          libqt6protobufwellknowntypes6,
          qml6-module-qtgrpc
Description: translations for Qt 6
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the QtGrpc and QtProtobuf modules.

Package: qt6-grpc-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-grpc (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-grpc-doc-dev, qt6-grpc-examples
Description: Qt 6 shader tools module - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the QtGrpc and QtProtobuf modules.

Package: qt6-grpc-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-grpc-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-grpc-doc-html
Description: Qt 6 shader tools module - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt 6 applications
 using the QtGrpc and QtProtobuf modules.

Package: libqt6grpc6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobuf6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufqtcoretypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufqtguitypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6protobufwellknowntypes6
Architecture: all
Depends: qt6-grpc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-doc-dev
Architecture: all
Depends: qt6-grpc-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-doc-html
Architecture: all
Depends: qt6-grpc-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-grpc-examples
Architecture: all
Depends: qt6-grpc-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
